# ZipEntryCompression

enum ZipEntryCompression

Specifies the compression level of an archives contents.

## Entries

STORED
Link copied to clipboard
STORED

Contents are not compressed

DEFLATED
Link copied to clipboard
DEFLATED

Contents are compressed using the 'deflate' algorithm

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): ZipEntryCompression

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<ZipEntryCompression>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.